Subject: bug#830: 23.0.60; window-size-change-functions sometimes not called

From: Markus Triska <[email-masked]>
Date: Sat, 30 Aug 2008 13:13:57 -0400

Let size1.el consist of the following forms:

   (defun my-size-change-function (frame)
     (with-temp-file "sizelog"
       (insert (format "size changed at %s - %s\n" (current-time) frame))))

   (add-hook 'window-size-change-functions 'my-size-change-function)

   (scroll-bar-mode -1)

   (setq mylist nil)
   (dotimes (i 100)
     (setq mylist (cons "this is a longer test string" mylist)))

When I do:

*) $ emacs -Q size1.el -f eval-buffer

*) M-: mylist

*) $ cat sizelog

then I see in this created log file that window-size-change-functions
were called as expected:

   size changed at (18617 32068 355364) - #<frame emacs@....>

When I then switch back to the Emacs X11 window and press any key, the
enlarged echo area shrinks away again, and the window showing size1.el
grows. However, I see from the unchanged log file that the functions in
window-size-change-functions were not called. This happens only when
scroll-bar-mode is disabled (which the above code does).

In GNU Emacs 23.0.60.7 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2008-08-30 on v254-034.vps.tuwien.ac.at
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t